

DROP TABLE IF EXISTS anope_bs_core;
CREATE TABLE anope_bs_core (
  bs_id int(11) NOT NULL auto_increment,
  nick varchar(255) NOT NULL default '',
  user text NOT NULL default '',
  host text NOT NULL default '',
  rname text NOT NULL default '',
  flags int(11) NOT NULL default '0',
  created int(11) NOT NULL default '0',
  chancount int(11) NOT NULL default '0',
  PRIMARY KEY  (bs_id),
  UNIQUE KEY nick (nick),
  KEY nick_index (nick(10))
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_cs_access;
CREATE TABLE anope_cs_access (
  ca_id int(11) NOT NULL auto_increment,
  in_use int(11) NOT NULL default '0',
  level int(11) NOT NULL default '0',
  display varchar(255) NOT NULL default '',
  channel varchar(255) NOT NULL default '',
  last_seen int(11) NOT NULL default '0',
  PRIMARY KEY  (ca_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_cs_badwords;
CREATE TABLE anope_cs_badwords (
  cw_id int(11) NOT NULL auto_increment,
  channel varchar(255) NOT NULL default '',
  word text NOT NULL default '',
  type int(11) NOT NULL default '0',
  PRIMARY KEY  (cw_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_cs_akicks;
CREATE TABLE anope_cs_akicks (
  ck_id int(11) NOT NULL auto_increment,
  channel varchar(255) NOT NULL default '',
  flags int(11) NOT NULL default '0',
  dmask text NOT NULL default '',
  reason text NOT NULL default '',
  creator text NOT NULL default '',
  addtime int(11) NOT NULL default '0',
  PRIMARY KEY  (ck_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_cs_info;
CREATE TABLE anope_cs_info (
  ci_id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  founder text NOT NULL default '',
  successor text NOT NULL default '',
  founderpass tinyblob NOT NULL default '',
  descr text NOT NULL default '',
  url text NOT NULL default '',
  email text NOT NULL default '',
  time_registered int unsigned NOT NULL default '0',
  last_used int unsigned NOT NULL default '0',
  last_topic text NOT NULL default '',
  last_topic_setter text NOT NULL default '',
  last_topic_time int unsigned NOT NULL default '0',
  flags int unsigned NOT NULL default '0',
  forbidby text NOT NULL default '',
  forbidreason text NOT NULL default '',
  bantype smallint NOT NULL default '0',
  accesscount smallint NOT NULL default '0',
  akickcount smallint NOT NULL default '0',
  mlock_on int unsigned NOT NULL default '0',
  mlock_off int unsigned NOT NULL default '0',
  mlock_limit int unsigned NOT NULL default '0',
  mlock_key text NOT NULL default '',
  mlock_flood text NOT NULL default '',
  mlock_redirect text NOT NULL default '',
  entry_message text NOT NULL default '',
  memomax smallint unsigned NOT NULL default '0',
  botnick varchar(255) NOT NULL default '',
  botflags int unsigned NOT NULL default '0',
  ttb smallint NOT NULL default '0',
  bwcount smallint NOT NULL default '0',
  capsmin smallint NOT NULL default '0',
  capspercent smallint NOT NULL default '0',
  floodlines smallint NOT NULL default '0',
  floodsecs smallint NOT NULL default '0',
  repeattimes smallint NOT NULL default '0',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (ci_id),
  UNIQUE KEY name (name),
  KEY name_index (name(10))
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_cs_levels;
CREATE TABLE anope_cs_levels (
  cl_id int(11) NOT NULL auto_increment,
  channel varchar(255) NOT NULL default '',
  position int(11) NOT NULL default '0',
  level int(11) NOT NULL default '0',
  PRIMARY KEY  (cl_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_ms_info;
CREATE TABLE anope_ms_info (
  nm_id int(11) NOT NULL auto_increment,
  receiver text NOT NULL default '',
  number int(11) NOT NULL default '0',
  flags int(11) NOT NULL default '0',
  time int(11) NOT NULL default '0',
  sender text NOT NULL default '',
  text blob NOT NULL,
  serv enum('NICK','CHAN') NOT NULL default 'NICK',
  PRIMARY KEY  (nm_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_ns_access;
CREATE TABLE anope_ns_access (
  na_id int(11) NOT NULL auto_increment,
  display varchar(255) NOT NULL default '',
  access text NOT NULL default '',
  PRIMARY KEY  (na_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_ns_alias;
CREATE TABLE anope_ns_alias (
  na_id int NOT NULL auto_increment,
  display varchar(255) NOT NULL default '',
  nick varchar(255) NOT NULL default '',
  time_registered int unsigned NOT NULL default '0',
  last_seen int unsigned NOT NULL default '0',
  status smallint NOT NULL default '0',
  last_usermask text NOT NULL default '',
  last_realname text NOT NULL default '',
  last_quit text NOT NULL default '',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (na_id),
  UNIQUE KEY nick (nick),
  KEY nick_index (nick(10))
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_ns_core;
CREATE TABLE anope_ns_core (
  nc_id int(11) NOT NULL auto_increment,
  display varchar(255) NOT NULL default '',
  pass tinyblob NOT NULL default '',
  email text NOT NULL default '',
  icq int unsigned NOT NULL default '0',
  url text NOT NULL default '',
  flags int NOT NULL default '0',
  language smallint unsigned NOT NULL default '0',
  accesscount smallint NOT NULL default '0',
  memocount smallint unsigned NOT NULL default '0',
  memomax smallint unsigned NOT NULL default '0',
  channelcount smallint unsigned NOT NULL default '0',
  channelmax smallint unsigned NOT NULL default '0',
  greet text NOT NULL default '',
  active tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (nc_id),
  UNIQUE KEY display (display),
  KEY display_index (display(10))
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_ns_request;
CREATE TABLE anope_ns_request (
  nr_id int(11) NOT NULL auto_increment,
  nick varchar(255) NOT NULL default '',
  passcode text NOT NULL default '',
  password tinyblob NOT NULL default '',
  email text NOT NULL default '',
  requested int(11) NOT NULL default '0',
  active int(1) NOT NULL default '1',
  PRIMARY KEY  (nr_id),
  UNIQUE KEY nick (nick),
  KEY nick_index (nick(10))
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_os_akills;
CREATE TABLE anope_os_akills (
  ok_id int(11) NOT NULL auto_increment,
  user text NOT NULL default '',
  host text NOT NULL default '',
  xby text NOT NULL default '',
  reason text NOT NULL default '',
  seton int(11) NOT NULL default '0',
  expire int(11) NOT NULL default '0',
  PRIMARY KEY  (ok_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_os_core;
CREATE TABLE anope_os_core (
  oc_id int(11) NOT NULL auto_increment,
  maxusercnt int(11) NOT NULL default '0',
  maxusertime int(11) NOT NULL default '0',
  akills_count int(11) NOT NULL default '0',
  sglines_count int(11) NOT NULL default '0',
  sqlines_count int(11) NOT NULL default '0',
  szlines_count int(11) NOT NULL default '0',
  PRIMARY KEY  (oc_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_os_status;
CREATE TABLE anope_os_status (
  os_id int(11) NOT NULL auto_increment,
  host text NOT NULL default '',
  status int(11) NOT NULL default '0',
  used int(11) NOT NULL default '0',
  PRIMARY KEY  (os_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_os_sglines;
CREATE TABLE anope_os_sglines (
  og_id int(11) NOT NULL auto_increment,
  mask text NOT NULL default '',
  xby text NOT NULL default '',
  reason text NOT NULL default '',
  seton int(11) NOT NULL default '0',
  expire int(11) NOT NULL default '0',
  PRIMARY KEY  (og_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_os_sqlines;
CREATE TABLE anope_os_sqlines (
  og_id int(11) NOT NULL auto_increment,
  mask text NOT NULL default '',
  xby text NOT NULL default '',
  reason text NOT NULL default '',
  seton int(11) NOT NULL default '0',
  expire int(11) NOT NULL default '0',
  PRIMARY KEY  (og_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_os_szlines;
CREATE TABLE anope_os_szlines (
  og_id int(11) NOT NULL auto_increment,
  mask text NOT NULL default '',
  xby text NOT NULL default '',
  reason text NOT NULL default '',
  seton int(11) NOT NULL default '0',
  expire int(11) NOT NULL default '0',
  PRIMARY KEY  (og_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS anope_os_hcache;
CREATE TABLE anope_os_hcache (
  oh_id int(11) NOT NULL auto_increment,
  mask text NOT NULL default '',
  status int(11) NOT NULL default '0',
  used int(11) NOT NULL default '0',
  PRIMARY KEY  (oh_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS anope_hs_core;
CREATE TABLE anope_hs_core (
  bs_id int(11) NOT NULL auto_increment,
  nick varchar(255) NOT NULL default '',
  vident text NOT NULL default '',
  vhost text NOT NULL default '',
  creator text NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (bs_id),
  UNIQUE KEY nick (nick),
  KEY nick_index (nick(10))
) TYPE=MyISAM;
		  
DROP TABLE IF EXISTS anope_os_news;
CREATE TABLE anope_os_news (
  on_id int(11) NOT NULL auto_increment,
  type int(11) NOT NULL default '0',
  num int(11) NOT NULL default '0',
  ntext text NOT NULL default '',
  who text NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (on_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS anope_os_exceptions;
CREATE TABLE anope_os_exceptions (
  oe_id int(11) NOT NULL auto_increment,
  mask text NOT NULL default '',
  lim int(11) NOT NULL default '0',
  who text NOT NULL default '',
  reason text NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  expires int(11) NOT NULL default '0',
  PRIMARY KEY  (oe_id)
) TYPE=MyISAM;

